<!DOCTYPE html>
{% load staticfiles %}
<html>
   <head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
     <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
	<style type="text/css">
      #map {
        height: 100%;
        
      }
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
	
      }
      #twitts_count {
        background-color: #fff;
        color: rgb(25, 25, 25);
        font-size: 'Roboto,Arial,sans-serif';
        font-size: 16px;
        margin-bottom: 20px;
        padding-left: 5px;
        padding-right: 5px;
        box-shadow: 0 0 6px rgba(0, 0, 0, 0.3);
        border-radius: 2px;
        border: 1px solid #e6e6e6;
      }

      #reset-btn {
        position: absolute;
        margin: auto;
        display: inline-block;
        left: 48%
      }
      .mid-control {
        text-align: center;
        top: 20px;
        z-index: 1;
        position: relative;
      }
 
       #unit-selector label {
        margin: 3px;
      }

      select, input[type="color" i][list] {
          background-color: rgb(248, 248, 248);
          border-width: 1px;
          border-style: solid;
          border-color: rgb(166, 166, 166);
      }
      #control-block {
        position: absolute;
        margin-left: 12px;
      }
      #user-name {
        margin-top: 10px;
        font-weight: bold;
        font-size: 15px;
      }
      #user-name a:hover {
        text-decoration: underline;
        color: #01579b;
      }
      #post-time {
        font-size: 12px;
      }
      .panel-default {
        width: 200px;
      }

      @-webkit-keyframes ld {
        0%   { transform: rotate(0deg) scale(1); }
        50%  { transform: rotate(180deg) scale(1.1); }
        100% { transform: rotate(360deg) scale(1); }
      }
      @-moz-keyframes ld {
        0%   { transform: rotate(0deg) scale(1); }
        50%  { transform: rotate(180deg) scale(1.1); }
        100% { transform: rotate(360deg) scale(1); }
      }
      @-o-keyframes ld {
        0%   { transform: rotate(0deg) scale(1); }
        50%  { transform: rotate(180deg) scale(1.1); }
        100% { transform: rotate(360deg) scale(1); }
      }
      @keyframes ld {
        0%   { transform: rotate(0deg) scale(1); }
        50%  { transform: rotate(180deg) scale(1.1); }
        100% { transform: rotate(360deg) scale(1); }
      }

      .m-progress {
          position: relative;
          opacity: .8;
          color: transparent !important;
          text-shadow: none !important;
      }
      .m-progress:hover,
      .m-progress:active,
      .m-progress:focus {
          cursor: default;
          color: transparent;
          outline: none !important;
          box-shadow: none;
      }
      .m-progress:before {
          content: '';
          
          display: inline-block;
          
          position: absolute;
          background: transparent;
          border: 1px solid #fff;
          border-top-color: transparent;
          border-bottom-color: transparent;
          border-radius: 50%;
          
          box-sizing: border-box;
          
          top: 50%;
          left: 50%;
          margin-top: -12px;
          margin-left: -12px;
          
          width: 24px;
          height: 24px;
          
          -webkit-animation: ld 1s ease-in-out infinite;
          -moz-animation:    ld 1s ease-in-out infinite;
          -o-animation:      ld 1s ease-in-out infinite;
          animation:         ld 1s ease-in-out infinite;
      }
    </style>
      


  <script async defer
      src="https://maps.googleapis.com/maps/api/js?key=AIzaSyADVvnA5fYL4ecja-sl3JC0JraDFaU2iRE&language=en">
    type="text/javascript"</script>     

  </head>
  <body id="bdy">
     
     
    
    <div id="map">

	</div>
	
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>

		
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"/>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>


	<script src="https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/markerclusterer.js">
    </script>
    <script>

 function CenterControl(controlDiv, map) {

        // Set CSS for the control border.
        var controlUI = document.createElement('div');
        controlUI.style.backgroundColor = '#fff';
        controlUI.style.border = '2px solid #fff';
        controlUI.style.borderRadius = '3px';
        controlUI.style.boxShadow = '0 2px 6px rgba(0,0,0,.3)';
        controlUI.style.cursor = 'pointer';
        controlUI.style.marginBottom = '22px';
        controlUI.style.textAlign = 'center';
        controlUI.title = 'Click to See More'
	controlDiv.appendChild(controlUI);

        // Set CSS for the control interior.
        var controlText = document.createElement('div');
        controlText.style.color = 'rgb(25,25,25)';
        controlText.style.fontFamily = 'Roboto,Arial,sans-serif';
        controlText.style.fontSize = '16px';
        controlText.style.lineHeight = '38px';
        controlText.style.paddingLeft = '5px';
        controlText.style.paddingRight = '5px';
        controlText.innerHTML = 'See more';
 	
        controlUI.appendChild(controlText);

        // Setup the click event listeners: simply set the map to Chicago.
        controlUI.addEventListener('click', function() {
          more()
        });

      }

// Variable to store the coordinate parameter of the tweets
    var coordinate
    var bounds={{bounds|safe}}
    var map;
    var cnt=0
    var markers = [];
    var src=window.location.toString()
    src=src.replace("map","map_data")
    var markerCluster;
   $(window).load(function(){

       //Here is my logic now
	 var sw = new google.maps.LatLng( bounds[1], bounds[0] ),
        ne = new google.maps.LatLng( bounds[3], bounds[2] );
       bounds=new google.maps.LatLngBounds( sw, ne );                                        
    initMap()
   })

   
    
// Initializing the map		
      function initMap() {
         map = new google.maps.Map(document.getElementById('map'), {
          zoom: 2,
	  maxZoom:10,
          zoomControl: true,
          zoomControlOptions: {
            position: google.maps.ControlPosition.LEFT_CENTER
          },
          mapTypeControl: false,
          streetViewControl: false,
        });

        var opt = { minZoom: 2 };
        map.setOptions(opt);
	map.fitBounds(bounds)
        // Add a marker clusterer to manage the markers.
        markerCluster = new MarkerClusterer(map, markers,{imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});
        var centerControlDiv = document.createElement('div');
        var centerControl = new CenterControl(centerControlDiv, map);
	centerControlDiv.index = 1;
        map.controls[google.maps.ControlPosition.TOP_CENTER].push(centerControlDiv);
        more()

      }



// Function to draw marker on the ma
async function startFetchingTweets(item) {             
        var lat = item[1]
        var lon = item[0];
        var latLng = new google.maps.LatLng(lat, lon);
        var marker = new google.maps.Marker({
        position: latLng,
        map: map,
        draggable: false})        
        markers.push(marker);
        markerCluster.addMarker(marker, true);      
}

async function more(){
document.getElementById("bdy").style.display="none"
$.getJSON(src+cnt,function(data) {
new_markers(data)
document.getElementById("bdy").style.display=""
map.fitBounds(bounds)
});

}
async function new_markers(data){
if (data.length==0){
	if(parent.llength>0){
        alert("No more locations to show. Resetting to start");
        cnt=0;
        more();}
}
else{
	
        cnt+=data.length
        markerCluster.clearMarkers();
        markers=[]

        for (const item of data) {
                 await startFetchingTweets(item);
                                }

}
}
      
    </script>
  
	  </body>
</html>

